Debian Bug report logs - #728712
ITP: xlsxwriter -- A Python module for creating Excel XLSX files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvain Pineau <sylvain.pineau@canonical.com>

Date: Mon, 4 Nov 2013 16:03:02 UTC

Owned by: Sylvain Pineau <sylvain.pineau@canonical.com>

Severity: wishlist

Fixed in version xlsxwriter/0.5.2-1

Done: Sylvain Pineau <sylvain.pineau@canonical.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728712; Package wnpp. (Mon, 04 Nov 2013 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Pineau <sylvain.pineau@canonical.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 04 Nov 2013 16:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvain Pineau <sylvain.pineau@canonical.com>
To: submit@bugs.debian.org
Subject: ITP: xlsxwriter -- A Python module for creating Excel XLSX files
Date: Mon, 04 Nov 2013 17:00:49 +0100
Package: wnpp
Severity: wishlist

Package name    : xlsxwriter
Version         : 0.4.6
Upstream Author : John McNamara <jmcnamara@cpan.org>
URL             : https://github.com/jmcnamara/XlsxWriter
License         : BSD
Programming Lang: Python
Description     : A Python module for creating Excel XLSX files

XlsxWriter
==========
.
**XlsxWriter** is a Python module for writing files in the Excel 2007+ XLSX
file format.
.
XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
multiple worksheets and it supports features such as formatting and many 
more,
including:
.
* 100% compatible Excel XLSX files.
* Full formatting.
* Merged cells.
* Defined names.
* Charts.
* Autofilters.
* Data validation and drop down lists.
* Conditional formatting.
* Worksheet PNG/JPEG images.
* Rich multi-format strings.





Owner recorded as Sylvain Pineau <sylvain.pineau@canonical.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 04 Nov 2013 16:27:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 728712: 728715 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 05 Nov 2013 04:27:12 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 728712: 728715 Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Fri, 17 Jan 2014 12:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Pineau <sylvain.pineau@canonical.com>:
Bug#728712; Package wnpp. (Sat, 18 Jan 2014 07:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Pineau <sylvain.pineau@canonical.com>. (Sat, 18 Jan 2014 07:36:04 GMT) Full text and rfc822 format available.

Message #16 received at 728712@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Sylvain Pineau <sylvain.pineau@canonical.com>
Cc: 728712@bugs.debian.org
Subject: Re: RFS: xlsxwriter/0.5.2-1 [ITP] -- A Python module for creating Excel XLSX files
Date: Fri, 17 Jan 2014 23:22:45 -0800
Never mind, looks like this is already in the NEW queue.

Vincent



Reply sent to Sylvain Pineau <sylvain.pineau@canonical.com>:
You have taken responsibility. (Tue, 21 Jan 2014 10:03:06 GMT) Full text and rfc822 format available.

Notification sent to Sylvain Pineau <sylvain.pineau@canonical.com>:
Bug acknowledged by developer. (Tue, 21 Jan 2014 10:03:06 GMT) Full text and rfc822 format available.

Message #21 received at 728712-close@bugs.debian.org (full text, mbox):

From: Sylvain Pineau <sylvain.pineau@canonical.com>
To: 728712-close@bugs.debian.org
Subject: Bug#728712: fixed in xlsxwriter 0.5.2-1
Date: Tue, 21 Jan 2014 10:00:20 +0000
Source: xlsxwriter
Source-Version: 0.5.2-1

We believe that the bug you reported is fixed in the latest version of
xlsxwriter, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728712@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvain Pineau <sylvain.pineau@canonical.com> (supplier of updated xlsxwriter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 07 Jan 2014 17:53:46 +0100
Source: xlsxwriter
Binary: python-xlsxwriter python3-xlsxwriter
Architecture: source all
Version: 0.5.2-1
Distribution: unstable
Urgency: low
Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
Changed-By: Sylvain Pineau <sylvain.pineau@canonical.com>
Description: 
 python-xlsxwriter - Python module for creating Excel XLSX files
 python3-xlsxwriter - Python 3 module for creating Excel XLSX files
Closes: 728712
Changes: 
 xlsxwriter (0.5.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #728712)
Checksums-Sha1: 
 67373632f0e1a852b02ed0065c0a6f46f688c204 2006 xlsxwriter_0.5.2-1.dsc
 88cb35f863b8983e82ec2ccd8000963c2d5142c4 204319 xlsxwriter_0.5.2.orig.tar.gz
 5fbe44400bd58ead65473249c0b70e35e7c71a7c 2520 xlsxwriter_0.5.2-1.debian.tar.xz
 a03cc4d4d59f68761668fc7e232f57d8e2863f8c 162950 python-xlsxwriter_0.5.2-1_all.deb
 ad482c2726166f9c499774f2c07ff835adcc9149 162846 python3-xlsxwriter_0.5.2-1_all.deb
Checksums-Sha256: 
 df38bda9d5ca909283dccc69563da5eef81debcab977956cb44534b2cae374c5 2006 xlsxwriter_0.5.2-1.dsc
 1896d75aee5d70a63976854fac1941e88b47f1eb6fda3207f1e3e01ec35baf62 204319 xlsxwriter_0.5.2.orig.tar.gz
 26880fa185a585d698407cff4a200cc7526d848e2b8765b7de2b4e25d98b46ab 2520 xlsxwriter_0.5.2-1.debian.tar.xz
 2479e970057afb48a2be6a1a93256723cf66fb7165ad73298cdd020e0417a770 162950 python-xlsxwriter_0.5.2-1_all.deb
 601e024f0db14c072a8508ffd87b41c5c5875d29405ee529088f40c9488b9fc0 162846 python3-xlsxwriter_0.5.2-1_all.deb
Files: 
 b2fbcc5ff31f01b6576fcb98bbdb0bf4 2006 python optional xlsxwriter_0.5.2-1.dsc
 092dcadd949edb272fe5a259d82576a8 204319 python optional xlsxwriter_0.5.2.orig.tar.gz
 0e23b2213504d02d24e2500949de257e 2520 python optional xlsxwriter_0.5.2-1.debian.tar.xz
 6d0f0169fcf3dda3c94bd3cab5a1cc4e 162950 python optional python-xlsxwriter_0.5.2-1_all.deb
 3d0c925a7b142463913585f538f6455c 162846 python optional python3-xlsxwriter_0.5.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS3ZvLAAoJEK728aKnRXZFXDMP/0HDitpChY4N7QuOvIYNm7iF
u4IVDz/K0VAYoTZ0QgPeU4WfkorWblF4xdUxAKrJTBphm71mQljrTA+sZu9uBL3b
OOf1nqBAJ3nOX6/OoA6LviwHQAkG72jZLnl59zwyIGNMlNPjaDKHPoBVRXYef5QD
ozXSASAdl6LQD2zCwnewiALB6IHCXvOwo8xiYVoEY2bI6ItWRBCIisg5bKyOd2os
aUFw80ELKRqvGbJJ7Ghy2Io/avOaa9Q5yd4z8LsfkmJx7zrVtQMVSNjNbiGyRUhl
c8ktD03bseWNybBAZtT+GVo8M3jTygFd/QyY8Uva5+MmpWmKSkvgA3Mtna0MOCGd
XpIt/Xzo0UdCYVWg8PaNc11+FNolxQ8J6YoDRbGm4yWfPRpOQ/drHoL66Ry32X9B
7Isl6NWPxI3wfmfyCC5+/T7FxUDAD/RHCwhmtJJR/Wa0MefxpXTFGdS5+HneSSpd
khL+Tz616cWiFg1V8fpnLR7H3+/rUt5RWOnuNq+SkZN0KSTSLbwiGbGscA29C1vD
juHDHZGCDMhCxLt4ANxjfeGofaxNsNvm6uljVGYdfqjiBnu6vFavKpvWyFvDTP83
UuofjXVmKmzDmmcXT7/lEAxkzktz5o0I8vuOvwu+ptFhsT+A6d0idqhaDgo/i9HL
Wjfx4QfbniRhg6rl0m8Y
=uGHm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Feb 2014 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:51:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.